#
# spec file for package pari
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pari
%define lname	libpari-gmp3
Version:        2.5.0
Release:        0
Group:          Productivity/Scientific/Math
Summary:	Computer Algebra System for fast computations in Number Theory
License:        GPL-2.0
URL:            http://pari.math.u-bordeaux.fr/

Source:         %name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	gmp-devel, readline-devel, pkgconfig(x11), xz
BuildRequires:	fltk-devel, libqt4-devel

%description
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%package gp
Summary:	Frontend to the PARI Computer Algebra System
Group:		Productivity/Scientific/Math

%description gp
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%package -n %lname
Summary:	Computer Algebra System library for fast computations in Number Theory
Group:		System/Libraries
# This is used by the data packages to avoid having a too-old version of libpari:
Provides:	libpari-gmp = %version-%release

%description -n %lname
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%package devel
Summary:	Development files for the PARI CAS
Group:		Development/Libraries/C and C++
Requires:	%lname = %version

%description devel
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%prep
%setup -q

%build
./Configure --prefix="%_prefix" \
	--bindir="%_bindir" --includedir="%_includedir" \
	--libdir="%_libdir" \
	--sysdatadir="%_libdir" --datadir="%_datadir/%name";
make %{?_smp_mflags} all \
	CFLAGS="%optflags -fno-strict-aliasing" \
	STRIP=true;

%install
b="%buildroot";
%make_install

# Put library in the right spot and fix the SO version abuse
if [ -L "$b/%_libdir/libpari-gmp.so.3" ]; then
	rm -f "$b/%_libdir/libpari-gmp.so.3";
fi;
mv "$b/%_libdir/libpari-gmp.so.%version" "$b/%_libdir/libpari-gmp.so.3";
ln -fs libpari-gmp.so.3 "$b/%_libdir/libpari-gmp-%version.so";
ln -fs libpari-gmp-%version.so "$b/%_libdir/libpari-gmp.so";
ln -fs libpari-gmp-%version.so "$b/%_libdir/libpari.so";

%files gp
%defattr(-,root,root)
%_bindir/*
%_datadir/%name
%_libdir/%name.cfg
%_mandir/man*/*

%files -n libpari-gmp3
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/libpari-gmp-%version.so

%files devel
%defattr(-,root,root)
%_includedir/pari
%_libdir/libpari.so
%_libdir/libpari-gmp.so

%changelog
